// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 56;
	objects = {

/* Begin PBXBuildFile section */
		82CE59E92C045D1100ADEE24 /* GameScene.swift in Sources */ = {isa = PBXBuildFile; fileRef = 82CE59E82C045D1100ADEE24 /* GameScene.swift */; };
		82CE59EB2C045E3800ADEE24 /* GameView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 82CE59EA2C045E3800ADEE24 /* GameView.swift */; };
		82CE59EF2C0460E500ADEE24 /* SpriteMoople.swift in Sources */ = {isa = PBXBuildFile; fileRef = 82CE59EE2C0460E500ADEE24 /* SpriteMoople.swift */; };
		82F9D3312BFE3A9F009EDFAF /* HistoryGameDetail.swift in Sources */ = {isa = PBXBuildFile; fileRef = 82F9D3302BFE3A9F009EDFAF /* HistoryGameDetail.swift */; };
		82F9D3332BFE3B12009EDFAF /* HistoryHeader.swift in Sources */ = {isa = PBXBuildFile; fileRef = 82F9D3322BFE3B12009EDFAF /* HistoryHeader.swift */; };
		82F9D3362BFE3B3C009EDFAF /* HistoryView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 82F9D3352BFE3B3C009EDFAF /* HistoryView.swift */; };
		C20310D62BFCB5FB0031657D /* PickerComponent.swift in Sources */ = {isa = PBXBuildFile; fileRef = C20310D52BFCB5FB0031657D /* PickerComponent.swift */; };
		C20310D82BFCC2410031657D /* GeneralParametersMenuView.swift in Sources */ = {isa = PBXBuildFile; fileRef = C20310D72BFCC2410031657D /* GeneralParametersMenuView.swift */; };
		C20310DA2BFCC8600031657D /* ToggleComponent.swift in Sources */ = {isa = PBXBuildFile; fileRef = C20310D92BFCC8600031657D /* ToggleComponent.swift */; };
		C205A2B72BF373360097BD93 /* ArkitDoushiQiApp.swift in Sources */ = {isa = PBXBuildFile; fileRef = C205A2B62BF373360097BD93 /* ArkitDoushiQiApp.swift */; };
		C205A2B92BF373360097BD93 /* ContentView.swift in Sources */ = {isa = PBXBuildFile; fileRef = C205A2B82BF373360097BD93 /* ContentView.swift */; };
		C205A2BB2BF373380097BD93 /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = C205A2BA2BF373380097BD93 /* Assets.xcassets */; };
		C205A2BE2BF373380097BD93 /* Preview Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = C205A2BD2BF373380097BD93 /* Preview Assets.xcassets */; };
		C205A2C82BF373380097BD93 /* WtaTennisTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = C205A2C72BF373380097BD93 /* WtaTennisTests.swift */; };
		C205A2D22BF373380097BD93 /* WtaTennisUITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = C205A2D12BF373380097BD93 /* WtaTennisUITests.swift */; };
		C205A2D42BF373380097BD93 /* WtaTennisUITestsLaunchTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = C205A2D32BF373380097BD93 /* WtaTennisUITestsLaunchTests.swift */; };
		C24659E52BF5FE09004E80D5 /* MainMenu.swift in Sources */ = {isa = PBXBuildFile; fileRef = C24659E42BF5FE09004E80D5 /* MainMenu.swift */; };
		C24659E92BF60FAA004E80D5 /* ButtonComponent.swift in Sources */ = {isa = PBXBuildFile; fileRef = C24659E82BF60FAA004E80D5 /* ButtonComponent.swift */; };
		C24DAB5C2C061DC700681CD0 /* AI.swift in Sources */ = {isa = PBXBuildFile; fileRef = C24DAB5B2C061DC700681CD0 /* AI.swift */; };
		C24DAB5E2C061E3A00681CD0 /* Language.swift in Sources */ = {isa = PBXBuildFile; fileRef = C24DAB5D2C061E3A00681CD0 /* Language.swift */; };
		C25220EE2C00AC7E0026B71F /* GameParametersMenuView.swift in Sources */ = {isa = PBXBuildFile; fileRef = C25220ED2C00AC7E0026B71F /* GameParametersMenuView.swift */; };
		C25220F32C00AF490026B71F /* EditComponent.swift in Sources */ = {isa = PBXBuildFile; fileRef = C25220F22C00AF490026B71F /* EditComponent.swift */; };
		C2F394082C0462400070B4F6 /* PhotoButtonComponent.swift in Sources */ = {isa = PBXBuildFile; fileRef = C2F394072C0462400070B4F6 /* PhotoButtonComponent.swift */; };
		C2F3940B2C0463940070B4F6 /* ProfileComponent.swift in Sources */ = {isa = PBXBuildFile; fileRef = C2F3940A2C0463940070B4F6 /* ProfileComponent.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		C205A2C42BF373380097BD93 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = C205A2AB2BF373360097BD93 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = C205A2B22BF373360097BD93;
			remoteInfo = WtaTennis;
		};
		C205A2CE2BF373380097BD93 /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = C205A2AB2BF373360097BD93 /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = C205A2B22BF373360097BD93;
			remoteInfo = WtaTennis;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXFileReference section */
		82CE59E82C045D1100ADEE24 /* GameScene.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GameScene.swift; sourceTree = "<group>"; };
		82CE59EA2C045E3800ADEE24 /* GameView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GameView.swift; sourceTree = "<group>"; };
		82CE59EE2C0460E500ADEE24 /* SpriteMoople.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SpriteMoople.swift; sourceTree = "<group>"; };
		82F9D3302BFE3A9F009EDFAF /* HistoryGameDetail.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HistoryGameDetail.swift; sourceTree = "<group>"; };
		82F9D3322BFE3B12009EDFAF /* HistoryHeader.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HistoryHeader.swift; sourceTree = "<group>"; };
		82F9D3352BFE3B3C009EDFAF /* HistoryView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = HistoryView.swift; sourceTree = "<group>"; };
		C20310D52BFCB5FB0031657D /* PickerComponent.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PickerComponent.swift; sourceTree = "<group>"; };
		C20310D72BFCC2410031657D /* GeneralParametersMenuView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GeneralParametersMenuView.swift; sourceTree = "<group>"; };
		C20310D92BFCC8600031657D /* ToggleComponent.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ToggleComponent.swift; sourceTree = "<group>"; };
		C205A2B32BF373360097BD93 /* ArkitDoushiQi.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = ArkitDoushiQi.app; sourceTree = BUILT_PRODUCTS_DIR; };
		C205A2B62BF373360097BD93 /* ArkitDoushiQiApp.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ArkitDoushiQiApp.swift; sourceTree = "<group>"; };
		C205A2B82BF373360097BD93 /* ContentView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ContentView.swift; sourceTree = "<group>"; };
		C205A2BA2BF373380097BD93 /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		C205A2BD2BF373380097BD93 /* Preview Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = "Preview Assets.xcassets"; sourceTree = "<group>"; };
		C205A2C32BF373380097BD93 /* ArkitDoushiQiTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = ArkitDoushiQiTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		C205A2C72BF373380097BD93 /* WtaTennisTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WtaTennisTests.swift; sourceTree = "<group>"; };
		C205A2CD2BF373380097BD93 /* ArkitDoushiQiUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = ArkitDoushiQiUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		C205A2D12BF373380097BD93 /* WtaTennisUITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WtaTennisUITests.swift; sourceTree = "<group>"; };
		C205A2D32BF373380097BD93 /* WtaTennisUITestsLaunchTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = WtaTennisUITestsLaunchTests.swift; sourceTree = "<group>"; };
		C24659E42BF5FE09004E80D5 /* MainMenu.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainMenu.swift; sourceTree = "<group>"; };
		C24659E82BF60FAA004E80D5 /* ButtonComponent.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ButtonComponent.swift; sourceTree = "<group>"; };
		C24DAB5B2C061DC700681CD0 /* AI.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = AI.swift; sourceTree = "<group>"; };
		C24DAB5D2C061E3A00681CD0 /* Language.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Language.swift; sourceTree = "<group>"; };
		C25220ED2C00AC7E0026B71F /* GameParametersMenuView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = GameParametersMenuView.swift; sourceTree = "<group>"; };
		C25220F22C00AF490026B71F /* EditComponent.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = EditComponent.swift; sourceTree = "<group>"; };
		C2F394072C0462400070B4F6 /* PhotoButtonComponent.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PhotoButtonComponent.swift; sourceTree = "<group>"; };
		C2F3940A2C0463940070B4F6 /* ProfileComponent.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ProfileComponent.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		C205A2B02BF373360097BD93 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		C205A2C02BF373380097BD93 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		C205A2CA2BF373380097BD93 /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		8203E9052BF60117005F5C4A /* Frameworks */ = {
			isa = PBXGroup;
			children = (
			);
			name = Frameworks;
			sourceTree = "<group>";
		};
		82CE59E52C045C7500ADEE24 /* Game */ = {
			isa = PBXGroup;
			children = (
				82CE59EC2C0460AA00ADEE24 /* SKNodes */,
				82CE59E82C045D1100ADEE24 /* GameScene.swift */,
				82CE59EA2C045E3800ADEE24 /* GameView.swift */,
			);
			path = Game;
			sourceTree = "<group>";
		};
		82CE59EC2C0460AA00ADEE24 /* SKNodes */ = {
			isa = PBXGroup;
			children = (
				82CE59EE2C0460E500ADEE24 /* SpriteMoople.swift */,
			);
			path = SKNodes;
			sourceTree = "<group>";
		};
		82F9D32F2BFE3A75009EDFAF /* History */ = {
			isa = PBXGroup;
			children = (
				82F9D3302BFE3A9F009EDFAF /* HistoryGameDetail.swift */,
				82F9D3322BFE3B12009EDFAF /* HistoryHeader.swift */,
				82F9D3352BFE3B3C009EDFAF /* HistoryView.swift */,
			);
			path = History;
			sourceTree = "<group>";
		};
		C205A2AA2BF373360097BD93 = {
			isa = PBXGroup;
			children = (
				C205A2B52BF373360097BD93 /* ArkitDoushiQi */,
				C205A2C62BF373380097BD93 /* ArkitDoushiQiTests */,
				C205A2D02BF373380097BD93 /* ArkitDoushiQiUITests */,
				C205A2B42BF373360097BD93 /* Products */,
				8203E9052BF60117005F5C4A /* Frameworks */,
			);
			sourceTree = "<group>";
		};
		C205A2B42BF373360097BD93 /* Products */ = {
			isa = PBXGroup;
			children = (
				C205A2B32BF373360097BD93 /* ArkitDoushiQi.app */,
				C205A2C32BF373380097BD93 /* ArkitDoushiQiTests.xctest */,
				C205A2CD2BF373380097BD93 /* ArkitDoushiQiUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		C205A2B52BF373360097BD93 /* ArkitDoushiQi */ = {
			isa = PBXGroup;
			children = (
				82CE59E52C045C7500ADEE24 /* Game */,
				C205A2B62BF373360097BD93 /* ArkitDoushiQiApp.swift */,
				C205A2B82BF373360097BD93 /* ContentView.swift */,
				C205A2BA2BF373380097BD93 /* Assets.xcassets */,
				C205A2BC2BF373380097BD93 /* Views */,
			);
			path = ArkitDoushiQi;
			sourceTree = "<group>";
		};
		C205A2BC2BF373380097BD93 /* Views */ = {
			isa = PBXGroup;
			children = (
				C24DAB5A2C061DAA00681CD0 /* Enum */,
				C25220F02C00AD7F0026B71F /* Components */,
				C25220EC2C00AC530026B71F /* GameParametersMenu */,
				C25220EB2C00A9230026B71F /* GeneralParametersMenu */,
				C25220EA2C00A9010026B71F /* MainMenu */,
				82F9D32F2BFE3A75009EDFAF /* History */,
				C205A2BD2BF373380097BD93 /* Preview Assets.xcassets */,
			);
			path = Views;
			sourceTree = "<group>";
		};
		C205A2C62BF373380097BD93 /* ArkitDoushiQiTests */ = {
			isa = PBXGroup;
			children = (
				C205A2C72BF373380097BD93 /* WtaTennisTests.swift */,
			);
			path = ArkitDoushiQiTests;
			sourceTree = "<group>";
		};
		C205A2D02BF373380097BD93 /* ArkitDoushiQiUITests */ = {
			isa = PBXGroup;
			children = (
				C205A2D12BF373380097BD93 /* WtaTennisUITests.swift */,
				C205A2D32BF373380097BD93 /* WtaTennisUITestsLaunchTests.swift */,
			);
			path = ArkitDoushiQiUITests;
			sourceTree = "<group>";
		};
		C24DAB5A2C061DAA00681CD0 /* Enum */ = {
			isa = PBXGroup;
			children = (
				C24DAB5B2C061DC700681CD0 /* AI.swift */,
				C24DAB5D2C061E3A00681CD0 /* Language.swift */,
			);
			path = Enum;
			sourceTree = "<group>";
		};
		C25220EA2C00A9010026B71F /* MainMenu */ = {
			isa = PBXGroup;
			children = (
				C24659E42BF5FE09004E80D5 /* MainMenu.swift */,
			);
			path = MainMenu;
			sourceTree = "<group>";
		};
		C25220EB2C00A9230026B71F /* GeneralParametersMenu */ = {
			isa = PBXGroup;
			children = (
				C20310D72BFCC2410031657D /* GeneralParametersMenuView.swift */,
			);
			path = GeneralParametersMenu;
			sourceTree = "<group>";
		};
		C25220EC2C00AC530026B71F /* GameParametersMenu */ = {
			isa = PBXGroup;
			children = (
				C25220ED2C00AC7E0026B71F /* GameParametersMenuView.swift */,
			);
			path = GameParametersMenu;
			sourceTree = "<group>";
		};
		C25220F02C00AD7F0026B71F /* Components */ = {
			isa = PBXGroup;
			children = (
				C2F394092C04636C0070B4F6 /* Visuals */,
				C25220F12C00ADF70026B71F /* Controls */,
			);
			path = Components;
			sourceTree = "<group>";
		};
		C25220F12C00ADF70026B71F /* Controls */ = {
			isa = PBXGroup;
			children = (
				C20310D52BFCB5FB0031657D /* PickerComponent.swift */,
				C20310D92BFCC8600031657D /* ToggleComponent.swift */,
				C24659E82BF60FAA004E80D5 /* ButtonComponent.swift */,
				C25220F22C00AF490026B71F /* EditComponent.swift */,
				C2F394072C0462400070B4F6 /* PhotoButtonComponent.swift */,
			);
			path = Controls;
			sourceTree = "<group>";
		};
		C2F394092C04636C0070B4F6 /* Visuals */ = {
			isa = PBXGroup;
			children = (
				C2F3940A2C0463940070B4F6 /* ProfileComponent.swift */,
			);
			path = Visuals;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		C205A2B22BF373360097BD93 /* ArkitDoushiQi */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = C205A2D72BF373380097BD93 /* Build configuration list for PBXNativeTarget "ArkitDoushiQi" */;
			buildPhases = (
				C205A2AF2BF373360097BD93 /* Sources */,
				C205A2B02BF373360097BD93 /* Frameworks */,
				C205A2B12BF373360097BD93 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = ArkitDoushiQi;
			productName = WtaTennis;
			productReference = C205A2B32BF373360097BD93 /* ArkitDoushiQi.app */;
			productType = "com.apple.product-type.application";
		};
		C205A2C22BF373380097BD93 /* ArkitDoushiQiTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = C205A2DA2BF373380097BD93 /* Build configuration list for PBXNativeTarget "ArkitDoushiQiTests" */;
			buildPhases = (
				C205A2BF2BF373380097BD93 /* Sources */,
				C205A2C02BF373380097BD93 /* Frameworks */,
				C205A2C12BF373380097BD93 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				C205A2C52BF373380097BD93 /* PBXTargetDependency */,
			);
			name = ArkitDoushiQiTests;
			productName = WtaTennisTests;
			productReference = C205A2C32BF373380097BD93 /* ArkitDoushiQiTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		C205A2CC2BF373380097BD93 /* ArkitDoushiQiUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = C205A2DD2BF373380097BD93 /* Build configuration list for PBXNativeTarget "ArkitDoushiQiUITests" */;
			buildPhases = (
				C205A2C92BF373380097BD93 /* Sources */,
				C205A2CA2BF373380097BD93 /* Frameworks */,
				C205A2CB2BF373380097BD93 /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				C205A2CF2BF373380097BD93 /* PBXTargetDependency */,
			);
			name = ArkitDoushiQiUITests;
			productName = WtaTennisUITests;
			productReference = C205A2CD2BF373380097BD93 /* ArkitDoushiQiUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		C205A2AB2BF373360097BD93 /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 1420;
				LastUpgradeCheck = 1420;
				TargetAttributes = {
					C205A2B22BF373360097BD93 = {
						CreatedOnToolsVersion = 14.2;
					};
					C205A2C22BF373380097BD93 = {
						CreatedOnToolsVersion = 14.2;
						TestTargetID = C205A2B22BF373360097BD93;
					};
					C205A2CC2BF373380097BD93 = {
						CreatedOnToolsVersion = 14.2;
						TestTargetID = C205A2B22BF373360097BD93;
					};
				};
			};
			buildConfigurationList = C205A2AE2BF373360097BD93 /* Build configuration list for PBXProject "ArkitDoushiQi" */;
			compatibilityVersion = "Xcode 14.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = C205A2AA2BF373360097BD93;
			productRefGroup = C205A2B42BF373360097BD93 /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				C205A2B22BF373360097BD93 /* ArkitDoushiQi */,
				C205A2C22BF373380097BD93 /* ArkitDoushiQiTests */,
				C205A2CC2BF373380097BD93 /* ArkitDoushiQiUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		C205A2B12BF373360097BD93 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				C205A2BE2BF373380097BD93 /* Preview Assets.xcassets in Resources */,
				C205A2BB2BF373380097BD93 /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		C205A2C12BF373380097BD93 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		C205A2CB2BF373380097BD93 /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		C205A2AF2BF373360097BD93 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				C205A2B92BF373360097BD93 /* ContentView.swift in Sources */,
				82CE59EF2C0460E500ADEE24 /* SpriteMoople.swift in Sources */,
				82CE59E92C045D1100ADEE24 /* GameScene.swift in Sources */,
				82F9D3312BFE3A9F009EDFAF /* HistoryGameDetail.swift in Sources */,
				C24659E92BF60FAA004E80D5 /* ButtonComponent.swift in Sources */,
				C24DAB5E2C061E3A00681CD0 /* Language.swift in Sources */,
				C2F394082C0462400070B4F6 /* PhotoButtonComponent.swift in Sources */,
				C24659E52BF5FE09004E80D5 /* MainMenu.swift in Sources */,
				82F9D3362BFE3B3C009EDFAF /* HistoryView.swift in Sources */,
				C20310D82BFCC2410031657D /* GeneralParametersMenuView.swift in Sources */,
				C2F3940B2C0463940070B4F6 /* ProfileComponent.swift in Sources */,
				C205A2B72BF373360097BD93 /* ArkitDoushiQiApp.swift in Sources */,
				C24DAB5C2C061DC700681CD0 /* AI.swift in Sources */,
				C25220F32C00AF490026B71F /* EditComponent.swift in Sources */,
				C20310D62BFCB5FB0031657D /* PickerComponent.swift in Sources */,
				82F9D3332BFE3B12009EDFAF /* HistoryHeader.swift in Sources */,
				82CE59EB2C045E3800ADEE24 /* GameView.swift in Sources */,
				C20310DA2BFCC8600031657D /* ToggleComponent.swift in Sources */,
				C25220EE2C00AC7E0026B71F /* GameParametersMenuView.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		C205A2BF2BF373380097BD93 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				C205A2C82BF373380097BD93 /* WtaTennisTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		C205A2C92BF373380097BD93 /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				C205A2D42BF373380097BD93 /* WtaTennisUITestsLaunchTests.swift in Sources */,
				C205A2D22BF373380097BD93 /* WtaTennisUITests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		C205A2C52BF373380097BD93 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = C205A2B22BF373360097BD93 /* ArkitDoushiQi */;
			targetProxy = C205A2C42BF373380097BD93 /* PBXContainerItemProxy */;
		};
		C205A2CF2BF373380097BD93 /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = C205A2B22BF373360097BD93 /* ArkitDoushiQi */;
			targetProxy = C205A2CE2BF373380097BD93 /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin XCBuildConfiguration section */
		C205A2D52BF373380097BD93 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 16.2;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = DEBUG;
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		C205A2D62BF373380097BD93 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				GCC_C_LANGUAGE_STANDARD = gnu11;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 16.2;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				SWIFT_OPTIMIZATION_LEVEL = "-O";
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		C205A2D82BF373380097BD93 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_ASSET_PATHS = "\"ArkitDoushiQi/Views\"";
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = UCA.WtaTennis;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		C205A2D92BF373380097BD93 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_ASSET_PATHS = "\"ArkitDoushiQi/Views\"";
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = UCA.WtaTennis;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		C205A2DB2BF373380097BD93 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 16.2;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = UCA.WtaTennisTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/ArkitDoushiQi.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/ArkitDoushiQi";
			};
			name = Debug;
		};
		C205A2DC2BF373380097BD93 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 16.2;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = UCA.WtaTennisTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/ArkitDoushiQi.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/ArkitDoushiQi";
			};
			name = Release;
		};
		C205A2DE2BF373380097BD93 /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = UCA.WtaTennisUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = WtaTennis;
			};
			name = Debug;
		};
		C205A2DF2BF373380097BD93 /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = UCA.WtaTennisUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = WtaTennis;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		C205A2AE2BF373360097BD93 /* Build configuration list for PBXProject "ArkitDoushiQi" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				C205A2D52BF373380097BD93 /* Debug */,
				C205A2D62BF373380097BD93 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		C205A2D72BF373380097BD93 /* Build configuration list for PBXNativeTarget "ArkitDoushiQi" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				C205A2D82BF373380097BD93 /* Debug */,
				C205A2D92BF373380097BD93 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		C205A2DA2BF373380097BD93 /* Build configuration list for PBXNativeTarget "ArkitDoushiQiTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				C205A2DB2BF373380097BD93 /* Debug */,
				C205A2DC2BF373380097BD93 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		C205A2DD2BF373380097BD93 /* Build configuration list for PBXNativeTarget "ArkitDoushiQiUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				C205A2DE2BF373380097BD93 /* Debug */,
				C205A2DF2BF373380097BD93 /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = C205A2AB2BF373360097BD93 /* Project object */;
}
